#======================================================================================#
#                             NVus PRISON GOLD EDITION                                 #
#                                   by never2nv                                        #
#                                www.FNGnation.net                                     #
#                          Discord: FNGnation.net/discord                              #
#======================================================================================#

# Remember to give prisoner ranks/groups the permission ' nvus.prisoner ' and negate that permission for any
# players that are not or no longer considered a prisoner.

########################################################################################
#                                  AUTO SETTINGS                                       #
########################################################################################

# Should prisoners auto pickup blocks they have mined?
# Use /nvus autopickup true|false to toggle this in-game! (Requires permission: nvus.admin)
# Can also use /nvus menu for a GUI to toggle this and other features on/off!
# TEST THIS FEATURE HEAVILY before setting this to true on a live/production server! It does currently check if
# player has break permissions for the block they are mining, but it is still a work in progress.
# It checks WorldGuard if player is region owner, a member of region or if player has the WorldGuard bypass permission etc.
AutoPickup: false

# Should prisoners be able to auto switch to the correct tool for whatever they are mining?
#i.e. If hitting dirt/clay with a pickaxe, they will auto switch to a shovel (if in their quickbar)
# Use /nvus autoswitch true|false to toggle this in-game! (Requires permission: nvus.admin)
AutoSwitch: true

# Allow players to auto sell items as they are mining them
AutoSell: true
# Allows players to use /sellall to manually sell all elgible items in their inventory, regardless if AutoSell is enabled.
# Setting this to false will disable the feature & command completely.
SellAll: true
# You can see material prices in the item_pricing.yml file or in-game using /sellprice <price> with an item in your hand.
# Only players/prisoners with the permission nvus.prisoner can use the /sellprice command and autosell toggle.

########################################################################################
#                                   ARMOR SETTINGS                                     #
########################################################################################

# Should prisoners be given a default prisoner armor set (orange leather armor) when they join the server?
PrisonerArmor: true
# Should prisoners be able to remove/change their default prisoner armor?
RestrictArmor: true

########################################################################################
#                             PRISONER TOOL SETTINGS                                   #
########################################################################################

# What tools are considered Prisoner Tools? These are used for the ToolDamage toggle and for auto switching feature!
# See auto_switch.yml to set up which blocks trigger the auto switch to these tools.
PrisonerTools:
  - IRON_PICKAXE
  - IRON_AXE
  - IRON_SHOVEL
# When set to FALSE it will prevent Prisoner Tools from receiving damage when mining etc.
ToolDamage: false

########################################################################################
#                                PRISONER KIT SETTINGS                                 #
########################################################################################

# Should players spawn with a prisoner kit when they join the server or respawn?
PrisonerKit: True
# If PrisonerKit above is true: What items should be in the prisoner kit?
PrisonerKitItems:
  - item: IRON_SWORD
    name: "&7Prisoner's Sword"
    lore:
      - "&7Standard issue"
      - "&7Prisoner's Sword"
    slot: 0
    enchantments:
      DAMAGE_ALL: 3
  - item: IRON_PICKAXE
    name: "&7Prisoner's Pickaxe"
    lore:
      - "&7Standard issue"
      - "&7Prisoner's Pickaxe"
    slot: 1
    enchantments:
      EFFICIENCY: 3
      UNBREAKING: 2
  - item: IRON_AXE
    name: "&7Prisoner's Axe"
    lore:
      - "&7Standard issue"
      - "&7Prisoner's Axe"
    slot: 2
    enchantments:
      SHARPNESS: 2
  - item: IRON_SHOVEL
    name: "&7Prisoner's Shovel"
    lore:
      - "&7Standard issue"
      - "&7Prisoner's Shovel"
    slot: 3
    enchantments:
      SILK_TOUCH: 1
# Should players be able to drop their prisoner kit items?
RestrictKitDrop: True
# Should prisoners be able to move their prisoner kit items around in their inventory?
RestrictKitMove: True


########################################################################################
#                                   TREE FARM FEATURE                                  #
########################################################################################

# Do you want the TreeFarm features to be enabled? Players with nvus.prisoner permission will be able to use this feature.
# Hitting the bottom block of any tree will destroy the tree and place the logs in the players inventory.
# It will then place down a sapling in the same spot where the tree base was destroyed.
TreeFarm: true

########################################################################################
#                                 PRISONER RANKS FEATURE                               #
########################################################################################

# Do you want to use the built-in /rankup and /maxrankup commands to rank prisoners up?
# Can configure the ranks in the ranks.yml file!
PrisonerRanks: true

########################################################################################
#                                   DATABASE SETTINGS                                  #
########################################################################################

# Database Settings
# Type can be either MySQL or SQLite (local)
Database.Type: SQLite
# The following is only needed if using MySQL
host: 0.0.0.0
port: 3306
database: nvus_prison
username: username
password: password


########################################################################################
#                                   DO NOT TOUCH                                       #
########################################################################################

ConfigVersion: 1.1 # Do not touch this! It can and probably will break the plugin if you do!
